org.apache.ignite.configuration

## Class ExecutorConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.ExecutorConfiguration

    public class ExecutorConfiguration
    extends Object

Custom thread pool configuration for compute tasks. See `IgniteCompute.withAsync()` for more information.

### Constructor Summary

Constructors
Constructor and Description
`ExecutorConfiguration()` Default constructor.
`ExecutorConfiguration(ExecutorConfiguration other)` Copying constructor.
`ExecutorConfiguration(String name)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Get thread pool name.
`int` `getSize()` Get thread pool size.
`ExecutorConfiguration` `setName(String name)` Set thread pool name.
`ExecutorConfiguration` `setSize(int size)` Set thread pool size.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecutorConfiguration

    public ExecutorConfiguration()

Default constructor.

#### ExecutorConfiguration

    public ExecutorConfiguration(String name)

Constructor.

Parameters:
  `name` - Thread pool name.

#### ExecutorConfiguration

    public ExecutorConfiguration(ExecutorConfiguration other)

Copying constructor.

Parameters:
  `other` - Instance to copy.

### Method Detail

#### getName

    public String getName()

Get thread pool name.

See `setName(String)` for more information.

Returns:
  Executor name.

#### setName

    public ExecutorConfiguration setName(String name)

Set thread pool name. Name cannot be `null` and should be unique with respect to other custom executors.

Parameters:
  `name` - Executor name.
Returns:
  `this` for chaining.

#### getSize

    public int getSize()

Get thread pool size.

See `setSize(int)` for more information.

Returns:
  Thread pool size.

#### setSize

    public ExecutorConfiguration setSize(int size)

Set thread pool size.

Defaults to `IgniteConfiguration.DFLT_PUBLIC_THREAD_CNT`.

Parameters:
  `size` - Thread pool size.
Returns:
  `this` for chaining.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019